import UtopaHead from './components/utopaHead/index.js'
import UtopaMenu from './components/utopaMenu/index.js'
import UtopaRightTool from './components/utopaRightTool/index.js'
import Bus from './components/utopaMenu/bus.js'

const components = [UtopaHead, UtopaMenu,UtopaRightTool]

const install = function (Vue, opts = {}) {
  components.map(component => {
    Vue.component(component.name, component)
  })
}

export default {
  version:"1.3.3",
  Bus,
  UtopaRightTool,// 对外暴露的组件名称一定要大写字母开头，内部组件名称驼峰命名
  UtopaHead, 
  UtopaMenu,
	install
}
